#!/bin/bash

source ./config.sh
source ./functions.sh

# cleanup routine:      v this looks funny ;-)
ls $DATADIR/???????????????????????????????????????? 2>/dev/null | 
while read DEVICE; do
	TIMEDIFF=$(($(date +%s) - $(head -n 1 $DATADIR/$DEVICE)))
	if [ $(($TIMEDIFF > $EXPIRETIME)) == "1" ]; then
		rm $DEVICE; 
		name=$(grep $DATADIR/$DEVICE $DATADIR/knowndevices|cut -c 42-)
		notifyothers $name "left"
		herelist $name "out"
	fi
done

