#!/bin/bash

source ./config.sh 

touch $DATADIR/knowndevices
touch $DATADIR/herelist

function notifyothers(){
	name="$1"
	event="$2"
	./notify-others.sh "$name" "$event"
}

function herelist(){
	name=$1
	inout=$2
	if [[ "$inout" == "in" ]]; then
		{ cat $DATADIR/herelist; echo "$name"; } | sort -u > $DATADIR/.herelist
		mv $DATADIR/.herelist $DATADIR/herelist
		echo
	fi
	if [[ "$inout" == "out" ]]; then
		grep -v "$name" $DATADIR/herelist > $DATADIR/.herelist
		mv $DATADIR/.herelist $DATADIR/herelist
	fi
}

