#!/bin/bash

source ./config.sh

if [ "" == "$LOGFILE" ]; then
	echo $0 '<logfile>'
	exit 1
fi

#tail -s 0.3 -n 0 -f "$LOGFILE" | 
grep -q -E "$GREPFOR" "$LOGFIFO" 

sleep 1;

$LSUSB | cut -c 24-33 | grep -v 0000:0000 | 
while read line; do
	DEVICE=$( \
		$LSUSB -d $line -v 2>/dev/null | 
		grep "id?(Serial|Product|Manufactorer|Vendor)" -Ei |
		sha1sum |
		sed 's/[ -]*//g'
	)
	date +%s > $DATADIR/$DEVICE
	echo $DEVICE
	exit 0
done

exit 1

